Subject: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Dmitry Gutov <[email-masked]>
Date: Wed, 30 Nov 2022 04:26:36 +0200

On 28/11/2022 18:51, Eli Zaretskii wrote:
> Then okay, we have 2 built-in project types, and the difference is that one
> will use a VCS when available, the other won't.  That's clear enough to have
> in the docs, I think.

Very good.

Eli, what do you think about this feature 
(project-vc-extra-root-markers) for emacs-29?

This bug has been open a while. I'm not seeing much user feedback now, 
but that's probably because everyone has been living with their own 
custom solution for all this time. And we'll still have time for people 
to report any bugs before the release.

Further, I've done some testing over Tramp, and the new approach 
improves the performance of the default implementation significantly. 
Like with a remote host over 200ms ping, with clear Tramp cache, "cold" 
project-current call is down from 3-6s to 1.9-3.3s (depending on the 
directory depth).

Not sure how many are working over such a slow connection, but that 
could be a nice bump.